> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/2/developer-guides/b2bsellers-core-plugin/employeepermissiontrait.md).

# EmployeePermissionTrait

Please have a look at the [B2BContextTrait](/b2b-platform/2/developer-guides/b2bsellers-core-plugin/b2bcontexttrait.md) first.

## **Why is the EmployeePermissionTrait useful for your individual extension?**

With the EmployeePermissionTrait you can easily check in your PHP code whether the logged-in employee has the required rights.

### What are the possible functions:

<table><thead><tr><th width="291.96828046744577">Function</th><th width="249.33333333333331">Description</th><th data-hidden></th><th data-hidden></th></tr></thead><tbody><tr><td><code>checkB2bPlatformPermission</code></td><td>Check the permission of an employee:<br><br><strong>Example code:</strong><br><code>$this->checkB2bPlatformPermission([Permissions::</code><em><code>EMPLOYEE_PERMISSION_VIEW_ALL_ORDERS</code></em><code>], $context);</code></td><td></td><td></td></tr><tr><td><code>getEmployeeRole</code></td><td><p>Return of the EmployeeRoleEntity, if a role is stored accordingly.<br><br><strong>Example:</strong> </p><p><code>$role= $this->getEmployeeRole($context);</code><br><br></p></td><td></td><td></td></tr></tbody></table>

{% hint style="info" %}
Note (Alert): You must always pass the SalesChannelContext as a parameter.\
How to use the trait, please see the [B2BContextTrait.](/b2b-platform/2/developer-guides/b2bsellers-core-plugin/b2bcontexttrait.md#note-alert)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.b2b-sellers.com/b2b-platform/2/developer-guides/b2bsellers-core-plugin/employeepermissiontrait.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
